Subject: Re: bug#15926: RFE: unlink command already uses 'unlink' call; make 'rm' use 'remove' call

From: Linda Walsh <[email-masked]>
Date: Thu, 21 Nov 2013 02:43:56 -0800

On 20/11/2013 22:32, Bernhard Voelker wrote:
> On 11/21/2013 01:48 AM, Linda Walsh wrote:
>>     Isn't it my computer?  How do I override such a refusal?
>   $ rm -rv "$(pwd -P)"
>   removed directory: ‘/tmp/xx’
--
That doesn't give the same behavior and isn't what I want.

Compare to "cp".

Say I want to create a copy of what is in dir "a"
inside of a pre-existing dir "b".  In dir "a" are files and
sub dirs.  On some of those subdirs, other file systems *may*
be mounted -- EITHER in the dir immediately under "a", OR lower:

I would use "cp -alx a/. b/."

Sometime later, I want to remove the contents of 'b' w/o disturbing
'b'.  'b' may have file systems mounted under it or not.
Again, I would use the "dot" notation.  "rm -fxr b/."

"rm -fxr <path>/b", as you suggest isn't the same thing.

Directories are containers.  I want to work just with the
contents -- not the directory itself.

So how do I override the refusal -- and get the same results?